Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class StoreFacadeTypeRegistry

    java.lang.Object
      org.apache.openjpa.util.StoreFacadeTypeRegistry

    public class StoreFacadeTypeRegistry

extends Object

Repository of store-specific facade classes. This is used by facade implementations to wrap store-specific components without knowing about all possible back-ends.

Constructor Summary
`StoreFacadeTypeRegistry()`

Method Summary
`Class` | `getImplementation(Class facadeType, Class storeType)` Return the implementation for the given facade and store.
`Class` | `getImplementation(Class facadeType, Class storeType, Class defaultType)` Return the implementation for the given facade and store.
`void` | `registerImplementation(Class facadeType, Class storeType, Class implType)` Register a facade implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreFacadeTypeRegistry

    public StoreFacadeTypeRegistry()

Method Detail

### registerImplementation

    public void registerImplementation(Class facadeType,
                                       Class storeType,
                                       Class implType)

  Register a facade implementation.

  Parameters:
    `facadeType` - the facade interface
    `storeType` - the store's `StoreManager` type, or null for generic
    `implType` - the class implementing the facade

### getImplementation

    public Class getImplementation(Class facadeType,
                                   Class storeType)

  Return the implementation for the given facade and store.

  Parameters:
    `facadeType` - the facade interface
    `storeType` - the store's `StoreManager` type, or null for generic
    `implType` - the registered implementor

### getImplementation

    public Class getImplementation(Class facadeType,
                                   Class storeType,
                                   Class defaultType)

  Return the implementation for the given facade and store. If no registered implementation is found then returns the given default type provided it the facade type is assignable from the deafult type.

  Parameters:
    `facadeType` - the facade interface
    `storeType` - the store's `StoreManager` type, or null for generic
    `implType` - the registered implementor
    `defaultType` - class if no registered implementation is available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.